# $Id: flexbackup.spec 316 2005-12-12 03:51:37Z rpmbuild $

Summary: Flexible backup script
Name: flexbackup
Version: 1.2.1
Release: %RErelease 1
Epoch: 0
License: GPL
Group: Applications/Archiving
URL: http://www.flexbackup.org/
Source0: http://www.flexbackup.org/tarball/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gzip, fileutils, findutils
BuildArch: noarch

%description
A flexible backup tool.

flexbackup is for you if you have a single or small number of machines,
amanda is "too much", and tarring things up by hand isn't nearly enough...

Features:
   o Easy to configure
   o Uses dump, afio, GNU tar, cpio, star, pax, or zip archivers
   o Full and numbered levels of incremental backup (acts like "dump")
   o Compression and buffering options for all backup types
   o Does remote filesystems (over rsh/ssh; no special service)
   o Can backup only files not owned by rpm, or changed from rpm version
   o Writes to tapes, on-disk archive files, or on-disk directory trees
   o Keeps a table of contents so you know archives are on each tape
   o Nice log files

%prep
%setup -q

%build
%{__make} all PREFIX=%{_prefix} CONFFILE=%{_sysconfdir}/flexbackup.conf PERLPATH=%{__perl}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d ${RPM_BUILD_ROOT}%{_sysconfdir}
%{__install} -d ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -d ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5}
%{__install} -d ${RPM_BUILD_ROOT}%{_localstatedir}/{lib,log}/%{name}
%{__make} install PREFIX=${RPM_BUILD_ROOT}%{_prefix} CONFFILE=${RPM_BUILD_ROOT}%{_sysconfdir}/flexbackup.conf

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS faq.html INSTALL README TODO
%config(noreplace) %{_sysconfdir}/flexbackup.conf
%{_bindir}/*
%doc %{_mandir}/*/*
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/log/%{name}

%changelog
* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.1-1
- First build.

